LINUX.ORG.RU
ФорумAdmin

Установить пакет в Ubuntu 7.04


0

0

Пытаюсь поставить пакет:

dpkg -i skype_debian-1.3.0.53-1_i386.deb
(Reading database ... 57906 files and directories currently installed.)
Preparing to replace skype 1.3.0.53-1 (using skype_debian-1.3.0.53-1_i386.deb) ...
Unpacking replacement skype ...
dpkg: dependency problems prevent configuration of skype:
 skype depends on libstdc++5 (>= 1:3.3.4-1); however:
  Package libstdc++5 is not installed.
dpkg: error processing skype (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 skype

делаю:

apt-get -f install libstdc++5
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  libstdc++5: Depends: gcc-3.3-base (>= 1:3.3.6-15ubuntu1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

apt-get -f install gcc-3.3-base
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  skype: Depends: libstdc++5 (>= 1:3.3.4-1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Как быть? Нужно установить skype-1.3.0.53 (1.4 не подходит)
anonymous

Re: Установить пакет в Ubuntu 7.04

>Try 'apt-get -f install'
?
Если совсем дыра, то играйся с dpkg и опциями зависимостей.

nnkd ()
Ответ на: Re: Установить пакет в Ubuntu 7.04 от nnkd

Re: Установить пакет в Ubuntu 7.04

>Try 'apt-get -f install'
>?

Во избежание недоразумений - просто не указывая никакого пакета запусти:
apt-get -f install

nnkd ()
Ответ на: Re: Установить пакет в Ubuntu 7.04 от nnkd

Re: Установить пакет в Ubuntu 7.04

Ри как не получается.Замкнутый круг. Как так, библиотека есть в дистре и не ставится ...? Смысл такой - мне нужно поставить skype-1.3.0.53, apt-get устанавливает skype 1.4, перед этим я его и установил, но снес, не подходит для chanskype. Может можно как нибудь установить через apt skype-1.3ХХХ С Ubuntu имею первый опыт общения.

anonymous ()

Re: Установить пакет в Ubuntu 7.04

Через "dpkg --force-depends skype_debian-1.3.0.53-1_i386.deb" пробовал?
Правда не уверен насчет будущей работоспособности.

nnkd ()
Ответ на: Re: Установить пакет в Ubuntu 7.04 от nnkd

Re: Установить пакет в Ubuntu 7.04

Да, я его поставил таким способом, но не работает требует все ту же libstdc++5. Я имел ввиду, может через apt-get можно как нибудь поставить old-версию с удовлетворением зависимостей ... Не знаю, как быть, помогите, нужно срочно!

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.